Index: pykota/trunk/tests/filldb.py
===================================================================
--- pykota/trunk/tests/filldb.py (revision 3411)
+++ pykota/trunk/tests/filldb.py (revision 3413)
@@ -9,10 +9,10 @@
 # the Free Software Foundation, either version 3 of the License, or
 # (at your option) any later version.
-# 
+#
 # This program is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
-# 
+#
 # You should have received a copy of the GNU General Public License
 # along with this program.  If not, see <http://www.gnu.org/licenses/>.
@@ -32,6 +32,6 @@
     for bname in billingcodes :
         argsfile.write("%s\n" % bname)
-    argsfile.close()    
-    os.system('pkbcodes --arguments arguments.list') 
+    argsfile.close()
+    os.system('pkbcodes --arguments arguments.list')
     return billingcodes
 
@@ -43,7 +43,7 @@
     for bname in billingcodes :
         argsfile.write("%s\n" % bname)
-    argsfile.close()    
-    os.system('pkbcodes --arguments arguments.list') 
-    
+    argsfile.close()
+    os.system('pkbcodes --arguments arguments.list')
+
 def createPrinters(number) :
     """Creates a number of printers."""
@@ -54,6 +54,6 @@
     for pname in printernames :
         argsfile.write("%s\n" % pname)
-    argsfile.close()    
-    os.system('pkprinters --arguments arguments.list') 
+    argsfile.close()
+    os.system('pkprinters --arguments arguments.list')
     return printernames
 
@@ -65,7 +65,7 @@
     for pname in printernames :
         argsfile.write("%s\n" % pname)
-    argsfile.close()    
-    os.system('pkprinters --arguments arguments.list') 
-    
+    argsfile.close()
+    os.system('pkprinters --arguments arguments.list')
+
 def createUsers(number) :
     """Creates a number of users."""
@@ -76,6 +76,6 @@
     for uname in usernames :
         argsfile.write("%s\n" % uname)
-    argsfile.close()    
-    os.system('pkusers --arguments arguments.list') 
+    argsfile.close()
+    os.system('pkusers --arguments arguments.list')
     return usernames
 
@@ -87,7 +87,7 @@
     for uname in usernames :
         argsfile.write("%s\n" % uname)
-    argsfile.close()    
-    os.system('pkusers --arguments arguments.list') 
-    
+    argsfile.close()
+    os.system('pkusers --arguments arguments.list')
+
 def createGroups(number) :
     """Creates a number of groups."""
@@ -98,6 +98,6 @@
     for gname in groupnames :
         argsfile.write("%s\n" % gname)
-    argsfile.close()    
-    os.system('pkusers --arguments arguments.list') 
+    argsfile.close()
+    os.system('pkusers --arguments arguments.list')
     return groupnames
 
@@ -109,7 +109,7 @@
     for gname in groupnames :
         argsfile.write("%s\n" % gname)
-    argsfile.close()    
-    os.system('pkusers --arguments arguments.list') 
-    
+    argsfile.close()
+    os.system('pkusers --arguments arguments.list')
+
 def createUserPQuotas(usernames, printernames) :
     """Creates a number of user print quota entries."""
@@ -121,6 +121,6 @@
     for uname in usernames :
         argsfile.write("%s\n" % uname)
-    argsfile.close()    
-    os.system('edpykota --arguments arguments.list') 
+    argsfile.close()
+    os.system('edpykota --arguments arguments.list')
 
 def deleteUserPQuotas(usernames, printernames) :
@@ -133,7 +133,7 @@
     for uname in usernames :
         argsfile.write("%s\n" % uname)
-    argsfile.close()    
-    os.system('edpykota --arguments arguments.list') 
-    
+    argsfile.close()
+    os.system('edpykota --arguments arguments.list')
+
 def createGroupPQuotas(groupnames, printernames) :
     """Creates a number of group print quota entries."""
@@ -145,6 +145,6 @@
     for gname in groupnames :
         argsfile.write("%s\n" % gname)
-    argsfile.close()    
-    os.system('edpykota --arguments arguments.list') 
+    argsfile.close()
+    os.system('edpykota --arguments arguments.list')
 
 def deleteGroupPQuotas(groupnames, printernames) :
@@ -157,11 +157,11 @@
     for gname in groupnames :
         argsfile.write("%s\n" % gname)
-    argsfile.close()    
-    os.system('edpykota --arguments arguments.list') 
-    
-if __name__ == "__main__" :    
+    argsfile.close()
+    os.system('edpykota --arguments arguments.list')
+
+if __name__ == "__main__" :
     if len(sys.argv) == 1 :
         sys.stderr.write("usage :  %s  [--nodelete]  NbBillingCodes  NbPrinters  NbUsers  NbGroups\n" % sys.argv[0])
-    else :    
+    else :
         delete = True
         args = sys.argv[1:]
@@ -177,28 +177,28 @@
         if nbprinters :
             printers = createPrinters(nbprinters)
-        if nbusers :    
+        if nbusers :
             users = createUsers(nbusers)
-        if nbgroups :    
+        if nbgroups :
             groups = createGroups(nbgroups)
-            
-        if nbusers and nbprinters :    
+
+        if nbusers and nbprinters :
             createUserPQuotas(users, printers)
             if delete :
                 deleteUserPQuotas(users, printers)
-            
-        if nbgroups and nbprinters :    
+
+        if nbgroups and nbprinters :
             createGroupPQuotas(groups, printers)
             if delete :
                 deleteGroupPQuotas(groups, printers)
-            
-        if delete :    
-            if nbbillingcodes :    
+
+        if delete :
+            if nbbillingcodes :
                 deleteBillingCodes(bcodes)
-            if nbgroups :    
+            if nbgroups :
                 deleteGroups(groups)
-            if nbusers :    
+            if nbusers :
                 deleteUsers(users)
-            if nbprinters :    
+            if nbprinters :
                 deletePrinters(printers)
         os.remove("arguments.list")
-        
+
